
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #594

Audtool option to toggle the new record/dub mode

November 21, 2015 18:54 - Jim Turner

Status: Closed Start date: November 21, 2015

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: audtool Estimated time: 0.00 hour

Target version: 3.8   

Affects version: 3.7   

Description

Please add Audtool control of new "Record audio stream using Filewriter Plugin" via new option (--playback-record) that would permit

users to add a desktop launcher icon/button to more quickly start and stop recording of live streams, etc (I use wmappl).  In addition it

would also permit users to create a cron-job / act script, etc. to record streaming programs at a specific time.

I've included a patch to do just that that seems to work great for me!

Jim

History

#1 - November 22, 2015 18:22 - John Lindgren

- Category set to audtool

#2 - December 10, 2015 04:42 - John Lindgren

Looks good.  Any chance you could convert this to a "git diff" patch?

#3 - December 10, 2015 07:17 - Jim Turner

I've no idea what a "git diff patch" is, much less how to do one, but I'll go see if I can figure out how!

Jim

#4 - December 10, 2015 15:26 - John Lindgren

It's extremely simple to do.  Just make your changes on top of a clean Git repository, then run "git diff".

#5 - December 11, 2015 04:15 - Jim Turner

- File feature594_patch.git_diff.txt added

Done, see attached.

Jim

#6 - December 11, 2015 06:03 - John Lindgren

Thanks!  I expanded on the patch to add a "playback-recording" command as well, and updated the manual page for audtool.

P.S. You missed aud-dbus.xml in the patch, so it didn't quite compile.  Maybe I should have said, "make your changes on top of a clean Git

repository, make sure it compiles, and then run 'git diff'". :)
#7 - December 11, 2015 06:04 - John Lindgren

- Status changed from New to Closed

- Target version set to 3.8

- % Done changed from 0 to 100

Files

audtool.h 5.16 KBNovember 21, 2015 Jim Turner

audtool.h.diff 48 BytesNovember 21, 2015 Jim Turner

dbus-server.cc 22.5 KBNovember 21, 2015 Jim Turner

dbus-server.cc.diff 240 BytesNovember 21, 2015 Jim Turner

handlers_playback.c 2.75 KBNovember 21, 2015 Jim Turner

handlers_playback.c.diff 136 BytesNovember 21, 2015 Jim Turner

main.c 10.3 KBNovember 21, 2015 Jim Turner

main.c.diff 83 BytesNovember 21, 2015 Jim Turner

feature594_patch.git_diff.txt 2.57 KBDecember 11, 2015 Jim Turner

Powered by TCPDF (www.tcpdf.org)

May 17, 2025 2/2

http://www.tcpdf.org

